Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.log
Class PrintStreamLogger

    java.lang.Object
      com.pietschy.command.log.PrintStreamLogger

All Implemented Interfaces:
  Logger

    public class PrintStreamLogger

extends java.lang.Object
implements Logger

Simple logger that logs to a print stream.

Field Summary
`(package private) static java.lang.String` | `_ID_`

Constructor Summary
`PrintStreamLogger(java.lang.Class aClass, java.io.PrintStream out)`

Method Summary
`void` | `debug(java.lang.Object o)`
`void` | `debug(java.lang.Object o, java.lang.Throwable throwable)`
`void` | `enter(java.lang.Object o)`
`void` | `error(java.lang.Object o)`
`void` | `error(java.lang.Object o, java.lang.Throwable throwable)`
`void` | `exit(java.lang.String method)`
`void` | `exit(java.lang.String method, java.lang.Object returnValue)`
`void` | `fatal(java.lang.Object o)`
`void` | `fatal(java.lang.Object o, java.lang.Throwable throwable)`
`void` | `info(java.lang.Object o)`
`void` | `info(java.lang.Object o, java.lang.Throwable throwable)`
`boolean` | `isDebugEnabled()`
`boolean` | `isEnterEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isExitEnabled()`
`boolean` | `isFatalEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isParamEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarnEnabled()`
`void` | `param(java.lang.String name, java.lang.Object param)`
`void` | `trace(java.lang.Object o)`
`void` | `trace(java.lang.Object o, java.lang.Throwable throwable)`
`void` | `warn(java.lang.Object o)`
`void` | `warn(java.lang.Object o, java.lang.Throwable throwable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _ID_

    static final java.lang.String _ID_

See Also:
  Constant Field Values

Constructor Detail

### PrintStreamLogger

    public PrintStreamLogger(java.lang.Class aClass,
                             java.io.PrintStream out)

Method Detail

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `Logger`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `Logger`

### isFatalEnabled

    public boolean isFatalEnabled()

  Specified by:
    `isFatalEnabled` in interface `Logger`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `Logger`

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `Logger`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `Logger`

### trace

    public void trace(java.lang.Object o)

  Specified by:
    `trace` in interface `Logger`

### trace

    public void trace(java.lang.Object o,
                      java.lang.Throwable throwable)

  Specified by:
    `trace` in interface `Logger`

### debug

    public void debug(java.lang.Object o)

  Specified by:
    `debug` in interface `Logger`

### debug

    public void debug(java.lang.Object o,
                      java.lang.Throwable throwable)

  Specified by:
    `debug` in interface `Logger`

### info

    public void info(java.lang.Object o)

  Specified by:
    `info` in interface `Logger`

### info

    public void info(java.lang.Object o,
                     java.lang.Throwable throwable)

  Specified by:
    `info` in interface `Logger`

### warn

    public void warn(java.lang.Object o)

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(java.lang.Object o,
                     java.lang.Throwable throwable)

  Specified by:
    `warn` in interface `Logger`

### error

    public void error(java.lang.Object o)

  Specified by:
    `error` in interface `Logger`

### error

    public void error(java.lang.Object o,
                      java.lang.Throwable throwable)

  Specified by:
    `error` in interface `Logger`

### fatal

    public void fatal(java.lang.Object o)

  Specified by:
    `fatal` in interface `Logger`

### fatal

    public void fatal(java.lang.Object o,
                      java.lang.Throwable throwable)

  Specified by:
    `fatal` in interface `Logger`

### isEnterEnabled

    public boolean isEnterEnabled()

  Specified by:
    `isEnterEnabled` in interface `Logger`

### enter

    public void enter(java.lang.Object o)

  Specified by:
    `enter` in interface `Logger`

### isExitEnabled

    public boolean isExitEnabled()

  Specified by:
    `isExitEnabled` in interface `Logger`

### exit

    public void exit(java.lang.String method)

  Specified by:
    `exit` in interface `Logger`

### exit

    public void exit(java.lang.String method,
                     java.lang.Object returnValue)

  Specified by:
    `exit` in interface `Logger`

### isParamEnabled

    public boolean isParamEnabled()

  Specified by:
    `isParamEnabled` in interface `Logger`

### param

    public void param(java.lang.String name,
                      java.lang.Object param)

  Specified by:
    `param` in interface `Logger`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch